Airwallex logo
Airwallex logoAirwallex logo

Sellers

Copy for LLMView as Markdown

Manage sellers for your MoR account.

Endpoints
GET /api/v1/sellers/{id}
POST /api/v1/sellers/{id}/deactivate
POST /api/v1/sellers/create

Retrieve a seller

GET /api/v1/sellers/{id}

Retrieves details of a seller using the given seller unique identifier.

Parameters
idrequiredstring

Unique identifier of the seller

Response body - 200 OK
created_atstring

Creation timestamp in ISO8601 format

detailsobject

Seller details

details.addressobject

Business address

details.address.address_line1string

Address line 1

details.address.address_line2string

Address line 2

details.address.country_codestring

Country code (2-letter ISO 3166-2 country code)

details.address.postcodestring

Postal code

details.address.statestring

State or province

details.address.suburbstring

Suburb or city

details.business_identification_numberstring

Business identification number

details.emailstring

Contact email

details.industry_codestring

Industry code

details.legal_entity_namestring

Legal entity name

details.merchant_category_codestring

Merchant category code

details.phone_numberstring

Phone number

details.registration_countrystring

Registration country code

details.registration_datestring

Registration date in YYYY-MM-DD format

details.trading_namestring

Trading name

details.websitesarray

List of websites

details.websites.urlstring

Website URL

idstring

Unique identifier of the seller

statusstring

Status of the seller

updated_atstring

Last update timestamp in ISO8601 format

Errors
Error statusDescription
400

Possible errors: invalid_argument, validation_failed

401

Possible errors: credentials_invalid, credentials_expired

404

Possible errors: resource_not_found

429

Too many requests

500

Possible errors: internal_server_error

GET /api/v1/sellers/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/sellers/seller_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "created_at": "2025-10-28T06:45:12Z",
3 "details": {
4 "address": {
5 "address_line1": "123 Market St",
6 "address_line2": "Suite 100",
7 "country_code": "US",
8 "postcode": "94105",
9 "state": "California",
10 "suburb": "San Francisco"
11 },
12 "business_identification_number": "201626561Z",
13 "email": "[email protected]",
14 "industry_code": "ICCV3_0001XX",
15 "legal_entity_name": "AIRWALLEX (SINGAPORE) PTE. LTD.",
16 "merchant_category_code": "5734",
17 "phone_number": "+1-555-1234",
18 "registration_country": "SG",
19 "registration_date": "2020-01-15",
20 "trading_name": "AIRWALLEX SG",
21 "websites": [
22 {
23 "url": "https://www.subseller.com"
24 }
25 ]
26 },
27 "id": "220362ad-f8e0-42c9-937a-5bdd67cfc7d1",
28 "status": "ACTIVE",
29 "updated_at": "2025-10-28T07:01:03Z"
30}
Was this section helpful?

Deactivate a seller

POST /api/v1/sellers/{id}/deactivate

Deactivates an existing seller by unique identifier.

Parameters
idrequiredstring

Unique identifier of the seller

Response body - 200 OK
created_atstring

Creation timestamp in ISO8601 format

idstring

Unique identifier of the seller

statusstring

Status of the seller

updated_atstring

Last update timestamp in ISO8601 format

Errors
Error statusDescription
401

Possible errors: credentials_invalid, credentials_expired

404

Possible errors: resource_not_found

429

Too many requests

500

Possible errors: internal_server_error

POST /api/v1/sellers/{id}/deactivate
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/sellers/seller_id/deactivate' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "created_at": "2025-10-24T06:15:09Z",
3 "id": "2ec93632-07c6-4afc-8519-25da56f3931a",
4 "status": "IN_REVIEW",
5 "updated_at": "2025-10-24T07:01:03Z"
6}
Was this section helpful?

Create a seller

POST /api/v1/sellers/create

Creates a new seller for your MoR account.

Request body
addressobject

Business address

address.address_line1string

Address line 1

address.address_line2string

Address line 2

address.country_codestring

Country code (2-letter ISO 3166-2 country code)

address.postcodestring

Postal code

address.statestring

State or province

address.suburbstring

Suburb or city

business_identification_numberstring

Business identification number

emailstring

Contact email

industry_codestring

Industry code

legal_entity_namestring

Legal entity name

merchant_category_codestring

Merchant category code

phone_numberstring

Phone number

registration_countrystring

Registration country code

registration_datestring

Registration date in YYYY-MM-DD format

trading_namestring

Trading name

websitesarray

List of websites

websites.urlstring

Website URL

Response body - 200 OK
created_atstring

Creation timestamp in ISO8601 format

idstring

Unique identifier of the seller

statusstring

Status of the seller

updated_atstring

Last update timestamp in ISO8601 format

Errors
Error statusDescription
400

Possible errors: invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Possible errors: internal_server_error

POST /api/v1/sellers/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/sellers/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "address": {
> "address_line1": "123 Market St",
> "address_line2": "Suite 100",
> "country_code": "US",
> "postcode": "94105",
> "state": "California",
> "suburb": "San Francisco"
> },
> "business_identification_number": "201626561Z",
> "email": "[email protected]",
> "industry_code": "ICCV3_0001XX",
> "legal_entity_name": "AIRWALLEX (SINGAPORE) PTE. LTD.",
> "merchant_category_code": "5734",
> "phone_number": "+1-555-1234",
> "registration_country": "SG",
> "registration_date": "2020-01-15",
> "trading_name": "AIRWALLEX SG",
> "websites": [
> {
> "url": "https://www.subseller.com"
> }
> ]
>}'
Response (200 OK)
1{
2 "created_at": "2025-10-24T06:15:09Z",
3 "id": "2ec93632-07c6-4afc-8519-25da56f3931a",
4 "status": "IN_REVIEW",
5 "updated_at": "2025-10-24T07:01:03Z"
6}
Was this section helpful?